Available in VPC
Set the IP list for a network ACL Deny-Allow group.Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vpc/v2/setNetworkAclDenyAllowGroupIpList |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all VPC APIs, see VPC common headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the network ACL Deny-Allow group whose IP list you want to set
|
networkAclDenyAllowGroupNo |
String | Required | Network ACL Deny-Allow group number whose IP list you want to set |
ipList.N |
List[String] | Optional | IP address to register in the network ACL Deny-Allow group
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/setNetworkAclDenyAllowGroupIpList
?regionCode=KR
&networkAclDenyAllowGroupNo=***40
&ipList.1=10.0.0.1' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See NetworkAclDenyAllowGroupList for the response body.
Response status codes
For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.
Response example
The response example is as follows:
<setNetworkAclDenyAllowGroupIpListResponse>
<requestId>84a4afa8-78aa-43b6-9a15-2bc25c3a7e7c</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<networkAclDenyAllowGroupList>
<networkAclDenyAllowGroup>
<networkAclDenyAllowGroupNo>***40</networkAclDenyAllowGroupNo>
<networkAclDenyAllowGroupName>test-***</networkAclDenyAllowGroupName>
<networkAclDenyAllowGroupStatus>
<code>RUN</code>
<codeName>run</codeName>
</networkAclDenyAllowGroupStatus>
<vpcNo>***04</vpcNo>
<ipList>
<ip>10.0.0.1</ip>
</ipList>
<networkAclDenyAllowGroupDescription></networkAclDenyAllowGroupDescription>
<createDate>2021-01-25T19:40:48+0900</createDate>
<isApplied>false</isApplied>
</networkAclDenyAllowGroup>
</networkAclDenyAllowGroupList>
</setNetworkAclDenyAllowGroupIpListResponse>